Name:          libdwarf
Version:       20180809
Release:       2
Summary:       Library to access DWARF debugging information
License:       LGPLv2
URL:           http://www.prevanders.net/dwarf.html
Source0:       http://www.prevanders.net/%{name}-%{version}.tar.gz
BuildRequires: gcc binutils-devel elfutils-libelf-devel

%description
Libdwarf is a library of functions to provide read/write DWARF
debugging records.

%package devel
Summary:       Library and header files of libdwarf
Requires:      %{name} = %{version}-%{release}
Provides:      libdwarf-static = %{version}-%{release}
Obsoletes:     libdwarf-static < %{version}-%{release}

%description devel
Libdwarf-devel provides libraries and header files for libdwarf.

%package tools
Summary:       Tools to access the DWARF debugging file format
Requires:      %{name} = %{version}-%{release}

%description tools
Libdwarf-tools contains dwarfdump, a tool to access DWARF debug information.

%package help
Summary:       Help documents for libdwarf
Requires:      %{name} = %{version}-%{release}

%description help
Libdwarf-help provides man pages and other related help documents for libdwarf.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-shared
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
install -d %{buildroot}%{_includedir}/libdwarf
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/libdwarf

%files
%license libdwarf/{COPYING,LIBDWARFCOPYRIGHT,LGPL.txt}
%{_libdir}/libdwarf.so.*
%exclude %{_datadir}/libdwarf

%files devel
%{_includedir}/libdwarf
%{_libdir}/{libdwarf.so,libdwarf.a}
%exclude %{_libdir}/*.la

%files tools
%doc dwarfdump/{README,ChangeLog}
%license dwarfdump/{COPYING,DWARFDUMPCOPYRIGHT,GPL.txt}
%{_bindir}/dwarfdump
%{_datadir}/dwarfdump/dwarfdump.conf

%files help
%doc libdwarf/{ChangeLog,README,*.pdf}
%{_mandir}/man1/dwarfdump.1.gz

%changelog
* Tue Nov 05 2019 yanzhihua <yanzhihua4@huawei.com> - 20180809-2
- Package init

